System.register([], function (_export, _context) {
  "use strict";

  return {
    setters: [],
    execute: function () {
      const __SystemJSRewritingHack = {};
      _recorder_._src_client_info_js = _recorder_._src_client_info_js || {};
      class Info {

        static showModuleInfo() {
          lively.openComponentInWindow("lively-table").then(table => {
            table.style.overflow = "scroll";

            var url = lively4url + "/src/client";
            lively.files.statFile(url).then(r => JSON.parse(r).contents).then(files => {
              files.forEach(ea => {
                ea.dependencies = lively.findDependedModules(url + "/" + ea.name).map(dep => {
                  return dep.replace(/.*\//, "");
                });
              });
              table.setFromJSO(files);
            });
          });
        }

      }

      _export("default", Info);

      Object.defineProperty(_recorder_._src_client_info_js, "Info", {
        get() {
          return Info;
        },

        set(thisIsVererySecretVariableName) {
          _export("default", Info = thisIsVererySecretVariableName);

          return true;
        },

        enumerable: true,
        configurable: true
      });
    }
  };
});